# std::tr1::hash< unsigned long > Struct Template Reference

Inheritance diagram for std::tr1::hash< unsigned long >:

List of all members.

## Detailed Description

### template<>
struct std::tr1::hash< unsigned long >

Definition at line 71 of file functional_hash.h.

## Public Types

- typedef unsigned long argument_type
- typedef std::size_t result_type

## Public Member Functions

- std::size_t operator() (unsigned long __val) const

## Member Typedef Documentation

typedef unsigned long std::unary_function< unsigned long , std::size_t >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef std::size_t std::unary_function< unsigned long , std::size_t >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- functional_hash.h